---
apiVersion: k8s.cni.cncf.io/v1
kind: NetworkAttachmentDefinition
metadata:
  name: home-assistant
spec:
  config: |
    {
      "cniVersion": "0.3.0",
      "type": "bridge",
      "bridge": "internal",
      "args": {
        "mac": "79:69:ad:bf:4a:4b"
      },
      "ipam": {
        "type": "static",
        "addresses": [
          {
            "address": "10.152.69.42/16"
          }
        ],
        "routes": [
          { "dst": "192.168.42.0/24", "gw": "10.152.0.81"    },
          { "dst": "152.66.176.0/21", "gw": "10.152.255.254" },
          { "dst": "152.66.192.0/24", "gw": "10.152.255.254" },
          { "dst": "152.66.208.0/22", "gw": "10.152.255.254" },
          { "dst": "10.151.0.0/16",   "gw": "10.152.255.254" }
        ]
      }
    }

---
apiVersion: apps/v1
kind: StatefulSet
metadata:
  name: home-assistant
spec:
  selector:
    matchLabels:
      app: home-assistant
  serviceName: home-assistant
  template:
    metadata:
      labels:
        app: home-assistant
      annotations:
        linstor.csi.linbit.com/on-storage-lost: remove
        k8s.v1.cni.cncf.io/networks: home-assistant
    spec:
      containers:
        - name: home-assistant
          image: ghcr.io/home-assistant/home-assistant:stable
          env:
            - name: TZ
              value: Europe/Budapest
          volumeMounts:
            - mountPath: /config
              name: config
          ports:
            - containerPort: 8123
              name: http
  volumeClaimTemplates:
    - metadata:
        name: config
      spec:
        storageClassName: linstor
        accessModes: [ ReadWriteOnce ]
        resources:
          requests:
            storage: 2Gi

---
apiVersion: v1
kind: Service
metadata:
  name: home-assistant
spec:
  selector:
    app: home-assistant
  ports:
    - port: 8123
      name: home-assistant

---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: home-assistant
  annotations:
    kubernetes.io/ingress.class: traefik
    cert-manager.io/cluster-issuer: cloudflare
    kubernetes.io/tls-acme: 'true'
spec:
  tls:
    - hosts:
        - koli.mikesweb.site
      secretName: homeassistant-tls
  rules:
    - host: koli.mikesweb.site
      http:
        paths:
          - backend:
              service:
                name: home-assistant
                port:
                  number: 8123
            path: /
            pathType: Prefix
